Pagination helper class.

### Type parameters

- #### T

### Hierarchy

- RestPaginator

### Implements

- Paginator<T>

## Index

### Accessors

- hasNextPage
- hasPrevPage
- items

### Methods

- nextPage
- prevPage

## Accessors

### hasNextPage

- get hasNextPage(): boolean

- Indicates the existence of the next page.

  #### Returns boolean

### hasPrevPage

- get hasPrevPage(): boolean

- Indicates the existence of the previous page

  #### Returns boolean

### items

- get items(): T[]

- Array of elements on the current page.

  #### Returns T[]

## Methods

### nextPage

- nextPage(): Promise<RestPaginator<T>>

- Implementation of Paginator.nextPage

  Request the next page. Does not modify the existing object.

  #### Returns Promise<RestPaginator<T>>

### prevPage

- prevPage(): Promise<RestPaginator<T>>

- Implementation of Paginator.prevPage

  Request the previous page. Does not modify the existing object.

  #### Returns Promise<RestPaginator<T>>